corelinux::CoreLinuxObject Class Reference

An CoreLinuxObject is a base class for the library. More...

`#include <CoreLinuxObject.hpp>`

## Public Member Functions

| CoreLinuxObject (void)
| Default Constructor.
| CoreLinuxObject (CoreLinuxObjectCref)
| Copy Constructor. More...
virtual | ~CoreLinuxObject (void)
| Virtual Destructor.
CoreLinuxObjectRef | operator= (CoreLinuxObjectCref)
| Assignment operator overload. More...
bool | operator== (CoreLinuxObjectCref) const
| Equality operator overload. More...
bool | operator!= (CoreLinuxObjectCref) const
| Non-equality operator overload. More...

## Detailed Description

An CoreLinuxObject is a base class for the library.

It is used to provide coherence in other implementations.

## Constructor & Destructor Documentation

corelinux::CoreLinuxObject::CoreLinuxObject | ( | CoreLinuxObjectCref |  | ) |

Copy Constructor.

Parameters

  CoreLinuxObject | const reference

## Member Function Documentation

bool corelinux::CoreLinuxObject::operator!= | ( | CoreLinuxObjectCref | aRef | ) | const

Non-equality operator overload.

Parameters

  CoreLinuxObject | const reference

Returns
  false if equal, true otherwise

References operator==().

CoreLinuxObjectRef corelinux::CoreLinuxObject::operator= | ( | CoreLinuxObjectCref |  | ) |

Assignment operator overload.

Parameters

  CoreLinuxObject | const reference

Returns
  CoreLinuxObject reference to self

Referenced by corelinux::Identifier::operator=(), corelinux::Facade::operator=(), and corelinux::Prototype< TypeImpl >::operator=().

bool corelinux::CoreLinuxObject::operator== | ( | CoreLinuxObjectCref | aRef | ) | const

Equality operator overload.

Parameters

  CoreLinuxObject | const reference

Returns
  true if equal, false otherwise

Referenced by operator!=(), and corelinux::Prototype< TypeImpl >::operator==().

The documentation for this class was generated from the following files:

- CoreLinuxObject.hpp
- CoreLinuxObject.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium